<?php
namespace Teknisa\PAR\Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\PAR\Service\UtilService;

class UtilController {

    protected $utilService;

    public function __construct(UtilService $utilService) {
        $this->utilService = $utilService;
    }
    
    public function getMaxCodigoDeTabela(Request\Row $request, Response $response) {
        try {
            $row = $request->getRow();
            $nomeTabela = $row["NOME_TABELA"];
            $nomeCampo  = $row["NOME_CAMPO"];
            
            $maxCodigo = $this->utilService->getMaxCodigoDeTabela($nomeTabela, $nomeCampo);
            
            $response->addDataSet(new DataSet("retorno", array("maxCodigo" => $maxCodigo)));
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}